Zoom Phone - August 22, 2022
New
-
Delete unassigned phone numbers API
DELETE /v2/phone/numbers
-
Batch add users API under Users
POST /v2/phone/users/batch
Enhancements
-
Added Call waiting support for Update a call handling setting API with new fields (
busy_on_another_call_action,busy_require_press_1_before_connecting,un_answered_require_press_1_before_connecting,overflow_play_callee_voicemail_greeting,play_callee_voicemail_greeting,busy_play_callee_voicemail_greeting,busy_phone_number,busy_description,busy_forward_to_extension_id)PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
-
Changed rate limits from
HeavytoMediumfor SMS APIGET /v2/phone/sms/sessionsGET /v2/phone/sms/sessions/{sessionId}GET /v2/phone/sms/sessions/{sessionId}/syncGET /v2/phone/users/{userId}/sms/sessions/sync
-
New response field
unread_message_countin List user's SMS sessions in descending order APIGET /v2/phone/users/{userId}/sms/sessions/sync
-
New query parameters (
site_id,owner_typeandvoicemail_type) in Get account voicemails APIGET /v2/phone/voice_mails
-
New request parameters (
site_id,device_type,device_sourceandlocation_status) in List devices APIGET /v2/phone/devices
-
New request parameters (
site_id,cost_center,department) in List call queues APIGET /v2/phone/call_queues
-
New request parameters (
calling_typeandstatus) in List phone users APIGET /v2/phone/users
-
New request/response object
desk_phonein Sites APIGET /v2/phone/sites/{siteId}/settings/{settingType}PATCH /v2/phone/sites/{siteId}/settings/{settingType}
-
New response fields (
policy.auto_call_recording_access_membersandpolicy.adhoc_call_recording_access_members) in Get a user's profile API:GET /v2/phone/users/{userId}
-
New response objects (
auto_call_recording_access_membersandadhoc_call_recording_access_members) in Get a user's profile settings APIGET /v2/phone/users/{userId}/settings
-
New options (
auto_call_recording,ad_hoc_call_recording) for thesettingTypepath parameter and request objects (auto_call_recording_access_members,adhoc_call_recording_access_members) in Add/ Update a user's shared access setting APIPOST /v2/phone/users/{userId}/settings/{settingType}PATCH /v2/phone/users/{userId}/settings/{settingType}
-
New options (
auto_call_recording,ad_hoc_call_recording) for thesettingTypepath parameter in Delete a user's shared access setting APIDELETE /v2/phone/users/{userId}/settings/{settingType}
-
Phone Status webhook events have
device_idfield added:phone.callee_holdphone.callee_unholdphone.callee_mutephone.callee_unmutephone.callee_meeting_invitingphone.callee_parkedphone.caller_ringingphone.caller_connectedphone.caller_endedphone.caller_holdphone.caller_unholdphone.caller_mutephone.caller_unmutephone.caller_meeting_invitingphone.caller_parked
Bug Fixes
-
Fixed the query logic in Get account voicemails API
GET /v2/phone/voice_mails
-
Fixed the error message notification issue when one of the SMS participants has been deleted in Sync SMS by session ID API
GET /v2/phone/sms/sessions/{sessionId}/sync
-
Fixed the null value issue in the
call_log_idfield in the Call recording is completed webhook eventphone.recording_completed
-
Fixed so the
audio_idobtained by calling the List audio items API can now be used in the Update the site setting API to update the audio prompt of a sitePATCH /v2/phone/sites/{siteId}/settings/{settingType}